AIBossEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.server.session.AIBossEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.server.session
Class AIBossEJBImpl

    java.lang.Object
      org.hyperic.hq.bizapp.server.session.BizappSessionEJB
          org.hyperic.hq.bizapp.server.session.AIBossEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

    public class AIBossEJBImpl

extends BizappSessionEJB
implements javax.ejb.SessionBean

See Also:
  Serialized Form

Field Summary
`protected org.apache.commons.logging.Log` | `log`

Fields inherited from class org.hyperic.hq.bizapp.server.session.BizappSessionEJB
`ctx`

Constructor Summary
`AIBossEJBImpl()`

Method Summary
`void` | `deleteAIJob(int sessionId, java.lang.Integer[] ids)` Delete a AIJob based on an id
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`AIIpValue` | `findAIIpByAddress(int sessionID, java.lang.String address)` Get details on a single ip from the AI queue, by address
`AIIpValue` | `findAIIpById(int sessionID, int ipID)` Get details on a single ip from the AI queue, by ipID
`AIPlatformValue` | `findAIPlatformByFqdn(int sessionID, java.lang.String fqdn)` Get details on a single platform from the AI queue, by FQDN
`AIPlatformValue` | `findAIPlatformById(int sessionID, int aiplatformID)` Get details on a single platform from the AI queue, by aiplatformID
`AIPlatformValue` | `findAIPlatformByPlatformID(int sessionId, java.lang.Integer platformID)` Find an AI Platform from an appdef platform
`AIServerValue` | `findAIServerById(int sessionID, int serverID)` Get details on a single server from the AI queue, by serverID
`AIServerValue` | `findAIServerByName(int sessionID, java.lang.String name)` Get details on a single server from the AI queue, by name
`PageList` | `findJobHistory(int sessionId, AppdefEntityID id, PageControl pc)` Get a job history based on appdef id
`AIScheduleValue` | `findScheduledJobById(int sessionId, java.lang.Integer id)`
`PageList` | `findScheduledJobs(int sessionId, AppdefEntityID id, PageControl pc)` Finder for all of the scheduled AI scans for an appdef entity.
`PageList` | `getQueue(int sessionID, boolean showIgnored, boolean showPlaceholders, boolean showAlreadyProcessed, PageControl pc)` Get the contents of the AI queue.
`PageList` | `getQueue(int sessionID, boolean showIgnored, boolean showPlaceholders, PageControl pc)` Get the contents of the AI queue.
`ScanStateCore` | `getScanStatus(int sessionID, int platformID)` Get status for a running autoinventory scan.
`ScanStateCore` | `getScanStatusByAgentToken(int sessionID, java.lang.String agentToken)` Get status for a running autoinventory scan given the agentToken
`java.util.Map` | `getServerSignatures(int sessionID, java.util.List serverTypes)` Get server signatures for a set of servertypes.
`void` | `processQueue(int sessionID, java.util.List platformList, java.util.List serverList, java.util.List ipList, int action)` Process queued AI resources.
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`
`void` | `startGroupScan(int sessionID, int groupID, ScanConfigurationCore scanConfig, java.lang.String scanName, java.lang.String scanDesc, ScheduleValue schedule)` Start an autoinventory scan on a group of platforms
`void` | `startScan(int sessionID, int platformID, ScanConfigurationCore scanConfig, java.lang.String scanName, java.lang.String scanDesc, ScheduleValue schedule)` Start an autoinventory scan.
`void` | `startScan(int sessionID, java.lang.String agentToken, ScanConfigurationCore scanConfig)`
`void` | `stopScan(int sessionID, int platformID)` Stop an autoinventory scan.
`void` | `toggleRuntimeScan(AuthzSubject subject, AppdefEntityID id, boolean doEnable)` Process queued AI resources.

Methods inherited from class org.hyperic.hq.bizapp.server.session.BizappSessionEJB
`getAgentManager, getAIBoss, getAIManager, getAppdefBoss, getAppdefStatManager, getApplicationManager, getAuthManager, getAuthzBoss, getAuthzSubjectManager, getAutoInventoryManager, getAvailManager, getConfigManager, getControlBoss, getControlManager, getControlScheduleManager, getCPropManager, getDataMan, getEventsBoss, getMeasurementBoss, getMetricManager, getOverlord, getPlatformManager, getProductBoss, getProductManager, getReportProcessor, getResourceGroupManager, getResourceManager, getServerConfigManager, getServerManager, getServiceManager, getSessionContext, getSrnManager, getTemplateManager, getTrackerManager, rollback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected org.apache.commons.logging.Log log

Constructor Detail

### AIBossEJBImpl

    public AIBossEJBImpl()

Method Detail

### findScheduledJobs

    public PageList findScheduledJobs(int sessionId,
                                      AppdefEntityID id,
                                      PageControl pc)
                               throws SessionNotFoundException,
                                      SessionTimeoutException,
                                      PermissionException

  Finder for all of the scheduled AI scans for an appdef entity.

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `PermissionException`

### findScheduledJobById

    public AIScheduleValue findScheduledJobById(int sessionId,
                                                java.lang.Integer id)
                                         throws SessionNotFoundException,
                                                SessionTimeoutException,
                                                PermissionException

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `PermissionException`

### findJobHistory

    public PageList findJobHistory(int sessionId,
                                   AppdefEntityID id,
                                   PageControl pc)
                            throws SessionNotFoundException,
                                   SessionTimeoutException,
                                   PermissionException

  Get a job history based on appdef id

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `PermissionException`

### deleteAIJob

    public void deleteAIJob(int sessionId,
                            java.lang.Integer[] ids)
                     throws SessionNotFoundException,
                            SessionTimeoutException,
                            PermissionException,
                            AutoinventoryException

  Delete a AIJob based on an id

  Parameters:
    `ids` - Array of job ids to be deleted
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `PermissionException`
    `AutoinventoryException`

### getServerSignatures

    public java.util.Map getServerSignatures(int sessionID,
                                             java.util.List serverTypes)
                                      throws SessionTimeoutException,
                                             SessionNotFoundException,
                                             PermissionException,
                                             AutoinventoryException

  Get server signatures for a set of servertypes.

  Parameters:
    `serverTypes` - A List of ServerTypeValue objects representing the server types to get signatures for. If this is null, all server signatures are returned.
  Returns:
    A Map, where the keys are the names of the ServerTypeValues, and the values are the ServerSignature objects.
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`
    `AutoinventoryException`

### startGroupScan

    public void startGroupScan(int sessionID,
                               int groupID,
                               ScanConfigurationCore scanConfig,
                               java.lang.String scanName,
                               java.lang.String scanDesc,
                               ScheduleValue schedule)
                        throws SessionTimeoutException,
                               SessionNotFoundException,
                               PermissionException,
                               AutoinventoryException,
                               AgentConnectionException,
                               AgentNotFoundException,
                               DuplicateAIScanNameException,
                               ScheduleWillNeverFireException,
                               GroupNotCompatibleException

  Start an autoinventory scan on a group of platforms

  Parameters:
    `groupID` - The ID of the group of platforms to scan.
    `scanConfig` - The scan configuration to use when scanning.
    `scanName` - The name of the scan - this is ignored (i.e. it can be null) for immediate, one-time scans.
    `scanDesc` - The description of the scan - this is ignored (i.e. it can be null) for immediate, one-time scans.
    `schedule` - Describes when the scan should be run. If this is null, then the scan is run as an immediate, one-time only scan.
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`
    `AutoinventoryException`
    `AgentConnectionException`
    `AgentNotFoundException`
    `DuplicateAIScanNameException`
    `ScheduleWillNeverFireException`
    `GroupNotCompatibleException`

### startScan

    public void startScan(int sessionID,
                          int platformID,
                          ScanConfigurationCore scanConfig,
                          java.lang.String scanName,
                          java.lang.String scanDesc,
                          ScheduleValue schedule)
                   throws SessionTimeoutException,
                          SessionNotFoundException,
                          PermissionException,
                          AutoinventoryException,
                          AgentConnectionException,
                          AgentNotFoundException,
                          DuplicateAIScanNameException,
                          ScheduleWillNeverFireException

  Start an autoinventory scan.

  Parameters:
    `platformID` - The platform ID of the platform to scan.
    `scanConfig` - The scan configuration to use when scanning.
    `scanName` - The name of the scan - this is ignored (i.e. it can be null) for immediate, one-time scans.
    `scanDesc` - The description of the scan - this is ignored (i.e. it can be null) for immediate, one-time scans.
    `schedule` - Describes when the scan should be run. If this is null, then the scan is run as an immediate, one-time only scan.
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`
    `AutoinventoryException`
    `AgentConnectionException`
    `AgentNotFoundException`
    `DuplicateAIScanNameException`
    `ScheduleWillNeverFireException`

### startScan

    public void startScan(int sessionID,
                          java.lang.String agentToken,
                          ScanConfigurationCore scanConfig)
                   throws SessionTimeoutException,
                          SessionNotFoundException,
                          PermissionException,
                          AutoinventoryException,
                          AgentConnectionException,
                          AgentNotFoundException

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`
    `AutoinventoryException`
    `AgentConnectionException`
    `AgentNotFoundException`

### stopScan

    public void stopScan(int sessionID,
                         int platformID)
                  throws SessionTimeoutException,
                         SessionNotFoundException,
                         PermissionException,
                         AutoinventoryException,
                         AgentConnectionException,
                         AgentNotFoundException

  Stop an autoinventory scan.

  Parameters:
    `platformID` - The platform ID of the platform to stop scanning on.
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`
    `AutoinventoryException`
    `AgentConnectionException`
    `AgentNotFoundException`

### getScanStatus

    public ScanStateCore getScanStatus(int sessionID,
                                       int platformID)
                                throws SessionTimeoutException,
                                       SessionNotFoundException,
                                       PermissionException,
                                       AgentNotFoundException,
                                       AgentConnectionException,
                                       AgentRemoteException,
                                       AutoinventoryException

  Get status for a running autoinventory scan.

  Parameters:
    `platformID` - The platform ID of the platform to get scan status for.
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`
    `AgentNotFoundException`
    `AgentConnectionException`
    `AgentRemoteException`
    `AutoinventoryException`

### getScanStatusByAgentToken

    public ScanStateCore getScanStatusByAgentToken(int sessionID,
                                                   java.lang.String agentToken)
                                            throws SessionTimeoutException,
                                                   SessionNotFoundException,
                                                   PermissionException,
                                                   AgentNotFoundException,
                                                   AgentConnectionException,
                                                   AgentRemoteException,
                                                   AutoinventoryException

  Get status for a running autoinventory scan given the agentToken

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`
    `AgentNotFoundException`
    `AgentConnectionException`
    `AgentRemoteException`
    `AutoinventoryException`

### getQueue

    public PageList getQueue(int sessionID,
                             boolean showIgnored,
                             boolean showPlaceholders,
                             PageControl pc)
                      throws SessionNotFoundException,
                             SessionTimeoutException

  Get the contents of the AI queue.

  Parameters:
    `showIgnored` - If true, even resources in the AI queue that have the 'ignored' flag set will be returned. By default, resources with the 'ignored' flag set are excluded when the queue is retrieved.
    `showPlaceholders` - If true, even resources in the AI queue that are unchanged with respect to appdef will be returned. By default, resources that are unchanged with respect to appdef are excluded when the queue is retrieved.
    `pc` - How the results should be sorted/paged.
  Returns:
    A List of AIPlatformValue objects representing the contents of the autoinventory queue.
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`

### getQueue

    public PageList getQueue(int sessionID,
                             boolean showIgnored,
                             boolean showPlaceholders,
                             boolean showAlreadyProcessed,
                             PageControl pc)
                      throws SessionNotFoundException,
                             SessionTimeoutException

  Get the contents of the AI queue.

  Parameters:
    `showIgnored` - If true, even resources in the AI queue that have the 'ignored' flag set will be returned. By default, resources with the 'ignored' flag set are excluded when the queue is retrieved.
    `showPlaceholders` - If true, even resources in the AI queue that are unchanged with respect to appdef will be returned. By default, resources that are unchanged with respect to appdef are excluded when the queue is retrieved.
    `showAlreadyProcessed` - If true, even resources that have already been processed (approved or not approved) will be shown.
    `pc` - How the results should be sorted/paged.
  Returns:
    A List of AIPlatformValue objects representing the contents of the autoinventory queue.
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`

### findAIPlatformById

    public AIPlatformValue findAIPlatformById(int sessionID,
                                              int aiplatformID)
                                       throws SessionNotFoundException,
                                              SessionTimeoutException

  Get details on a single platform from the AI queue, by aiplatformID

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`

### findAIPlatformByFqdn

    public AIPlatformValue findAIPlatformByFqdn(int sessionID,
                                                java.lang.String fqdn)
                                         throws SessionNotFoundException,
                                                SessionTimeoutException

  Get details on a single platform from the AI queue, by FQDN

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`

### findAIServerById

    public AIServerValue findAIServerById(int sessionID,
                                          int serverID)
                                   throws SessionNotFoundException,
                                          SessionTimeoutException

  Get details on a single server from the AI queue, by serverID

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`

### findAIServerByName

    public AIServerValue findAIServerByName(int sessionID,
                                            java.lang.String name)
                                     throws SessionNotFoundException,
                                            SessionTimeoutException

  Get details on a single server from the AI queue, by name

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`

### findAIIpById

    public AIIpValue findAIIpById(int sessionID,
                                  int ipID)
                           throws SessionNotFoundException,
                                  SessionTimeoutException

  Get details on a single ip from the AI queue, by ipID

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`

### findAIIpByAddress

    public AIIpValue findAIIpByAddress(int sessionID,
                                       java.lang.String address)
                                throws SessionNotFoundException,
                                       SessionTimeoutException

  Get details on a single ip from the AI queue, by address

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`

### processQueue

    public void processQueue(int sessionID,
                             java.util.List platformList,
                             java.util.List serverList,
                             java.util.List ipList,
                             int action)
                      throws SessionNotFoundException,
                             SessionTimeoutException,
                             AIQApprovalException,
                             PermissionException,
                             ValidationException

  Process queued AI resources.

  Parameters:
    `platformList` - A List of platform IDs
    `serverList` - A List of server IDs
    `ipList` - A List of ip IDs
    `action` - One of the AIQueueConstants.Q_DECISION_XXX constants indicating what to do with the platforms, ips and servers.
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `AIQApprovalException`
    `PermissionException`
    `ValidationException`

### toggleRuntimeScan

    public void toggleRuntimeScan(AuthzSubject subject,
                                  AppdefEntityID id,
                                  boolean doEnable)
                           throws SessionNotFoundException,
                                  SessionTimeoutException,
                                  PermissionException,
                                  AppdefEntityNotFoundException,
                                  AppdefGroupNotFoundException,
                                  GroupNotCompatibleException,
                                  UpdateException,
                                  ConfigFetchException,
                                  EncodingException

  Process queued AI resources.

  Parameters:
    `id` - The server to enable runtime-AI for.
    `doEnable` - If true, runtime autodiscovery will be enabled, if false, it will be disabled.
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `PermissionException`
    `AppdefEntityNotFoundException`
    `AppdefGroupNotFoundException`
    `GroupNotCompatibleException`
    `UpdateException`
    `ConfigFetchException`
    `EncodingException`

### findAIPlatformByPlatformID

    public AIPlatformValue findAIPlatformByPlatformID(int sessionId,
                                                      java.lang.Integer platformID)
                                               throws SessionNotFoundException,
                                                      SessionTimeoutException,
                                                      PermissionException,
                                                      PlatformNotFoundException

  Find an AI Platform from an appdef platform

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `PermissionException`
    `PlatformNotFoundException`

### ejbCreate

    public void ejbCreate()

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`
  Overrides:
    `setSessionContext` in class `BizappSessionEJB`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.